Katello - Bug #7138

Don't allow users to add iso repos to content views
08/18/2014 12:03 PM - Partha Aji

Status: Closed
Priority: Normal
Assignee: David Davis
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1030537 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/459
0
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1030537
Description of problem:

If you attempt to publish a content view definition and have added an ISO repo, the publish will fail with an error:
NoMethodError: undefined method []' for nil:NilClass

Version-Release number of selected component (if applicable):

mdp2/katello 1.4

How reproducible:
always

Steps to Reproduce:

Import a manifest

Enable one or more ISO repos

Create a content view definition

Add at least one ISO repo to the content view definition
Publish the definition to a content view

akrwbd -~

Actual results:
Error

Expected results:
Publishes correctly

Additional info:
I'm not sure that we should actually support adding ISOs to a CV, if we should then it should work.

2013-10-23T12:47:50-0500: [Worker(delayed_job host:xio99clinuxmgt2.centric.com pid:22368)]
ContentViewDefinition#generate_repos failed with NoMethodError: undefined method “[]' for nil:NilClass - 0 failed attempts
2013-10-23T12:47:50-0500: [Worker(delayed_job host:xio99clinuxmgt2.centric.com pid:22368)] PERMANENTLY removing
ContentViewDefinition#generate_repos because of 1 consecutive failures.

undefined method °[]' for nil:NilClass

/usr/share/katello/app/models/glue/pulp/repo.rb:677:in “publish_distributor'
/usr/share/katello/app/models/glue/pulp/repo.rb:667:in "generate_metadata’
/usr/share/katello/app/models/repository.rb:242:in “block in trigger_contents_changed'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_proxy.rb:89:in “each’
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_proxy.rb:89:in “flat_map
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_proxy.rb:89:in
“method_missing'

/usr/share/katello/app/models/repository.rb:242:in “trigger_contents_changed'
/usr/share/katello/app/models/content_view_version.rb:186:in “trigger_repository_changes'
/usr/share/katello/app/models/content_view_definition.rb:90:in “generate_repos'
/usr/share/katello/app/models/async_operation.rb:57:in “perform’

/opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/backend/base.rb:94:in “block in invoke_job'

/opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in
/opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in
/opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in
/opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in
/opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:38:in

“call

“block in initialize'
“call

“execute'
“run_callbacks'

Associated revisions

Revision e1212e9a - 08/18/2014 12:05 PM - David Davis
Fixes #7138,BZ1030537 - Prevent file repos being added to views

Revision e0736e90 - 08/18/2014 03:55 PM - David Davis
Merge pull request #4590 from daviddavis/temp/20140818120417

Fixes #7138,BZ1030537 - Prevent file repos being added to views

History

#1 - 08/18/2014 12:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 56

- Pull request https://github.com/Katello/katello/pull/4590 added
- Pull request deleted ()

#2 - 08/18/2014 03:43 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/18/2014 04:02 PM - David Davis
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|e1212e9ae8343828d9045f026618c48f0d44b31a.

#4 - 08/20/2014 08:20 AM - Eric Helms

- Target version changed from 56 to 55

#5 - 08/22/2014 09:30 AM - Eric Helms

- translation missing: en.field_release set to 13
